Subject: bug#54033: Calibre's ebook-viewer only shows white-on-white or dark-on-dark.

From: Jacob MacDonald <[email-masked]>
Date: Sat, 19 Feb 2022 21:39:52 -0600

I realize that the conversation has been continuing outside the bug tracker.

9d25ee30b188f9202cc14f7cd25ba8a1c3ec1a72 has a working version of
Calibre 5.21.0. 6dffced09ecda024e0884e352778c221ad066fd6 is the commit
where it broke. That's a big merge commit, and Calibre is only broken
in one of the parents. I started to do a bisect between the bad parent
and the commit which bumped Calibre's version, but it contains merges
and --first-parent seems to be less useful there than in the earlier
bisect session. I see a recent update to Calibre 5.36.0, but I'm
taking a pause because waiting for QtWebKit to build is annoying.

That is the summary of what I know now; I'm also happy to copy the
rest of the emails back into this thread, with Leo's permission.

Jacob.